Comment 5 for bug 228193

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rdesktop - 1.5.0-2ubuntu0.1

---------------
rdesktop (1.5.0-2ubuntu0.1) gutsy-security; urgency=low

  * SECURITY UPDATE: fix integer overflow in iso.c that could cause denial
    of service or possibly remote code execution
  * SECURITY UPDATE: fix buffer overflow in rdp.c that could cause allow
    remote code execution via redirect requests
  * SECURITY UPDATE: fix integer signedness error that may allow remote
    code execution via heap-based overflow
  * References
    CVE-2008-1801
    CVE-2008-1802
    CVE-2008-1803
    LP: #228193

 -- Jamie Strandboge <email address hidden> Tue, 16 Sep 2008 18:19:00 -0500